#!/bin/sh

PROG=`basename $0`

# Amit 6/10/2004 add control for PBS execution only
if test "${PBS_NODEFILE:0:14}" != "/var/spool/pbs"
then
    echo
    echo "Error: $PROG can only be invoked after getting nodes via PBS!"
    echo "       Please use pbsget to acquire nodes before using $PROG."
    echo
    exit 1
fi 
# Use machine list from PBS only
echo "$PROG: Using list of machines from PBS."
machineFile=$PBS_NODEFILE

PVM_ROOT=/usr/share/pvm3

export PVM_ROOT

exec /usr/share/pvm3/lib/pvm "$@" $machineFile
